SKB_CHECKSUM_NONE_AS(9)

NAME
skb_checksum_none_assert - make sure skb ip_summed is CHECKSUM_NONE

SYNOPSIS

void skb_checksum_none_assert(const struct sk_buff * skb);

ARGUMENTS

skb
    skb to check

DESCRIPTION

fresh skbs have their ip_summed set to CHECKSUM_NONE. Instead of forcing ip_summed to CHECKSUM_NONE, we can use this helper, to document places where we make this assertion.

COPYRIGHT